## ros-indigo-rail-pick-and-place-tools 1.1.9

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(rail_pick_and_place_tools)

## Find catkin macros and libraries
## if COMPONENTS list like find_package(catkin REQUIRED COMPONENTS xyz)
## is used, also find other catkin packages
find_package(catkin REQUIRED COMPONENTS
  actionlib
  graspdb
  rail_pick_and_place_msgs
  rviz
  roscpp
  std_srvs
)
find_package(Boost REQUIRED COMPONENTS thread)

## This plugin includes Qt widgets, so we must include Qt
find_package(Qt4 REQUIRED COMPONENTS
  QtCore
  QtGui
)

###################################################
## Declare things to be passed to other projects ##
###################################################

## LIBRARIES: libraries you create in this project that dependent projects also need
## CATKIN_DEPENDS: catkin_packages dependent projects also need
## DEPENDS: system dependencies of this project that dependent projects also need
catkin_package()

###########
## Build ##
###########

## Specify additional locations of header files
include_directories(include
  ${boost_INCLUDE_DIRS}
  ${catkin_INCLUDE_DIRS}
)

## Include for use with Qt
include(${QT_USE_FILE})

## For use with Qt signals and slots
add_definitions(-DQT_NO_KEYWORDS)

## Specify which header files need to be run through "moc" (Qt's meta-object compiler).
qt4_wrap_cpp(MOC_FILES
  include/rail_pick_and_place_tools/GraspCollectionPanel.h
  include/rail_pick_and_place_tools/MetricTrainingPanel.h
  include/rail_pick_and_place_tools/ModelGenerationPanel.h
  include/rail_pick_and_place_tools/SegmentPanel.h
)

## Specify plugin source files
set(SOURCE_FILES
  src/GraspCollectionPanel.cpp
  src/MetricTrainingPanel.cpp
  src/ModelGenerationPanel.cpp
  src/SegmentPanel.cpp
  ${MOC_FILES}
)

## Declare a cpp library
add_library(${PROJECT_NAME} ${SOURCE_FILES})

## Add message build dependencies (needed for source build)
add_dependencies(${PROJECT_NAME}
  rail_pick_and_place_msgs_generate_msgs_cpp
)

## Specify libraries to link a library or executable target against
target_link_libraries(${PROJECT_NAME}
  ${boost_LIBRARIES}
  ${catkin_LIBRARIES}
  ${QT_LIBRARIES}
)

#############
## Install ##
#############

## Mark executables and/or libraries for installation
install(TARGETS ${PROJECT_NAME}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
)

## Copy header files
install(DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
  FILES_MATCHING PATTERN "*.h"
)

## Copy launch files
install(DIRECTORY launch/
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/launch
  FILES_MATCHING PATTERN "*.launch"
)

## Copy rviz files
install(DIRECTORY rviz/
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/rviz
  FILES_MATCHING PATTERN "*.rviz"
)

## Copy splash screen files
install(DIRECTORY images/
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/images
  FILES_MATCHING PATTERN "*.png"
)

## Copy plugin config files
install(FILES plugin_description.xml
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

=== debian/changelog ===
ros-indigo-rail-pick-and-place-tools (1.1.9-0trusty) trusty; urgency=high

  * Update package.xml
  * Contributors: David Kent

 -- David Kent <dekent@gatech.edu>  Tue, 23 Feb 2016 05:00:00 -0000

ros-indigo-rail-pick-and-place-tools (1.1.8-0trusty) trusty; urgency=high



 -- David Kent <davidkent@wpi.edu>  Tue, 18 Aug 2015 04:00:00 -0000

ros-indigo-rail-pick-and-place-tools (1.1.7-0trusty) trusty; urgency=high



 -- David Kent <davidkent@wpi.edu>  Fri, 08 May 2015 04:00:00 -0000

ros-indigo-rail-pick-and-place-tools (1.1.6-0trusty) trusty; urgency=high



 -- David Kent <davidkent@wpi.edu>  Tue, 05 May 2015 04:00:00 -0000

ros-indigo-rail-pick-and-place-tools (1.1.5-0trusty) trusty; urgency=high



 -- David Kent <davidkent@wpi.edu>  Wed, 29 Apr 2015 04:00:00 -0000

ros-indigo-rail-pick-and-place-tools (1.1.4-0trusty) trusty; urgency=high

  * changelog updated
  * Contributors: Russell Toris

 -- David Kent <davidkent@wpi.edu>  Mon, 27 Apr 2015 04:00:00 -0000

ros-indigo-rail-pick-and-place-tools (1.1.3-0trusty) trusty; urgency=high



 -- David Kent <davidkent@wpi.edu>  Tue, 14 Apr 2015 04:00:00 -0000

ros-indigo-rail-pick-and-place-tools (1.1.2-0trusty) trusty; urgency=high

  * docs added for rail_pick_and_place_tools
  * splash screen added
  * new metric trainier
  * graph search used
  * Contributors: Russell Toris

 -- David Kent <davidkent@wpi.edu>  Fri, 10 Apr 2015 04:00:00 -0000

ros-indigo-rail-pick-and-place-tools (1.1.1-0trusty) trusty; urgency=high

  * refactor of RViz GUIs
  * cleanup of grasp collection panel
  * Contributors: Russell Toris

 -- David Kent <davidkent@wpi.edu>  Mon, 06 Apr 2015 04:00:00 -0000

ros-indigo-rail-pick-and-place-tools (1.1.0-0trusty) trusty; urgency=high

  * new launch files
  * grasp model retriever added
  * travis fix
  * travis fix
  * Merge branch 'develop' of github.com:WPI-RAIL/rail_pick_and_place into develop
  * major refactor of model generation
  * Buttons should now correctly handle the case of an unconnected action client - server pair
  * Added confirmation dialog for model removal
  * Contributors: David Kent, Russell Toris

 -- David Kent <davidkent@wpi.edu>  Fri, 03 Apr 2015 04:00:00 -0000

ros-indigo-rail-pick-and-place-tools (1.0.4-0trusty) trusty; urgency=high

  * removed old recognize actions
  * Contributors: Russell Toris

 -- David Kent <davidkent@wpi.edu>  Tue, 31 Mar 2015 04:00:00 -0000

ros-indigo-rail-pick-and-place-tools (1.0.3-0trusty) trusty; urgency=high

  * starting to cleanup model generator
  * refactor of point cloud recognizer
  * Contributors: Russell Toris

 -- David Kent <davidkent@wpi.edu>  Tue, 31 Mar 2015 04:00:00 -0000

ros-indigo-rail-pick-and-place-tools (1.0.2-0trusty) trusty; urgency=high



 -- David Kent <davidkent@wpi.edu>  Mon, 30 Mar 2015 04:00:00 -0000

ros-indigo-rail-pick-and-place-tools (1.0.1-0trusty) trusty; urgency=high

  * Label change
  * installs all correct files
  * typo in install fix
  * Contributors: David Kent, Russell Toris

 -- David Kent <davidkent@wpi.edu>  Fri, 27 Mar 2015 04:00:00 -0000

ros-indigo-rail-pick-and-place-tools (1.0.0-0trusty) trusty; urgency=high

  * Moved actions from recognition to msgs
  * edits
  * Updated vision rviz panel to use the new recognize all action
  * Added a recognition listener that allows for shared recognition of a list of detected objects
  * Added refresh button to the model generation panel
  * Removed some unused stuff from recognition
  * Updates to rviz panels
  * Switched registration to use the graspdb, fixed point cloud selection in grasp collector
  * Added a vision panel that can handle segmentation and recognition, minor documentation updates to other panels
  * Moved rviz panels to rail_pick_and_place_tools, added an rviz panel for grasp collection
  * Contributors: David Kent, Russell Toris

 -- David Kent <davidkent@wpi.edu>  Fri, 27 Mar 2015 04:00:00 -0000

ros-indigo-rail-pick-and-place-tools (0.0.2-0trusty) trusty; urgency=high



 -- David Kent <davidkent@wpi.edu>  Wed, 18 Feb 2015 05:00:00 -0000

ros-indigo-rail-pick-and-place-tools (0.0.1-0trusty) trusty; urgency=high



 -- David Kent <davidkent@wpi.edu>  Wed, 22 Oct 2014 04:00:00 -0000

=== debian/control ===
Source: ros-indigo-rail-pick-and-place-tools
Section: misc
Priority: extra
Maintainer: David Kent <dekent@gatech.edu>
Build-Depends: debhelper (>= 9.0.0), libboost-all-dev, ros-indigo-actionlib, ros-indigo-catkin, ros-indigo-graspdb, ros-indigo-rail-pick-and-place-msgs, ros-indigo-roscpp, ros-indigo-rviz, ros-indigo-std-srvs
Homepage: http://ros.org/wiki/rail_pick_and_place_tools
Standards-Version: 3.9.2

Package: ros-indigo-rail-pick-and-place-tools
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libboost-all-dev, ros-indigo-actionlib, ros-indigo-graspdb, ros-indigo-rail-grasp-collection, ros-indigo-rail-pick-and-place-msgs, ros-indigo-rail-recognition, ros-indigo-roscpp, ros-indigo-rviz, ros-indigo-std-srvs
Description: RViz Plugins for Collecting Grasps and Generating Models

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-rail-pick-and-place-tools//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
